
GET FILE = 'HBAT.SAV' .

* *************************************************** .
 
* BASIC DESCRIPTIVE STATISTICS AND GRAPHICS .

* EXAMPLE -- X6 .

TITLE 'BASIC DESCRIPTIVE STATISTICS AND GRAPHICS -- X6' .

EXAMINE
  VARIABLES=x6
  /PLOT  STEMLEAF HISTOGRAM NPPLOT
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* EXAMPLE -- X6 BY X1 .
TITLE 'BASIC DESCRIPTIVE STATISTICS AND GRAPHICS -- X6 BY X1' .
EXAMINE
  VARIABLES=x6 BY x1 /PLOT=BOXPLOT/STATISTICS=NONE/NOTOTAL
  /MISSING=REPORT.
EXAMINE
  VARIABLES=x7 BY x1 /PLOT=BOXPLOT/STATISTICS=NONE/NOTOTAL
  /MISSING=REPORT.
ONEWAY
  x6 x7 BY x1
  /MISSING ANALYSIS
  /POSTHOC = SCHEFFE ALPHA(.05).

* *************************************************** .

* EXAMINATION AND REMEDY OF MISSING DATA .

TITLE 'EXAMINATION AND REMEDY OF MISSING DATA -- INITIAL ANALYSIS' .

GET FILE ='HBAT_MISSING.SAV' .

COUNT NMISS = V1 TO V14 (MISSING) .
FREQ NMISS .


* USE MISSING VALUE ANALYSIS (MVA) MODULE IN SPSS .

MVA
  v1 v2 v3 v4 v5 v6 v7 v8 v9  v10 v11 v12 v13 v14
  /MAXCAT = 25
  /ID = id
  /CATEGORICAL = v10 v11 v12 v13 v14
  /TTEST PROB PERCENT=5
  /DPATTERN DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /MPATTERN NOSORT DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /TPATTERN NOSORT PERCENT=1 DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /LISTWISE
  /PAIRWISE
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=100 )
  /REGRESSION ( TOLERANCE=0.001 FLIMIT=4.0 NPREDICTORS= 3 ADDTYPE=RESIDUAL ) .


* Delete cases with greater than 50% missing .

TITLE 'MISSING DATA -- DELETE CASES WITH GT 50 PERCENT MISSING' .

GET FILE ='HBAT_MISSING.SAV' .

COUNT NMISS = V1 TO V14 (MISSING) .
SELECT IF (NMISS LE 6) .
FREQ NMISS .


MVA
  v1 v2 v3 v4 v5 v6 v7 v8 v9  v10 v11 v12 v13 v14
  /MAXCAT = 25
  /ID = id
  /CATEGORICAL = v10 v11 v12 v13 v14
  /TTEST PROB PERCENT=5
  /DPATTERN DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /MPATTERN NOSORT DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /TPATTERN NOSORT PERCENT=1 DESCRIBE=v1 v2 v3 v4 v5 v6 v7 v8 v9
  /LISTWISE
  /PAIRWISE
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=100 )
  /REGRESSION ( TOLERANCE=0.001 FLIMIT=4.0 NPREDICTORS= 3 ADDTYPE=RESIDUAL )  .



* delete cases with greater than 50% missing and delete v1 .

TITLE 'DELETE CASES GT 50 PERCENT MISSING AND DELETE V1' .

GET FILE ='HBAT_MISSING.SAV' .

COUNT NMISS = V2 TO V14 (MISSING) .
FREQ NMISS .
SELECT IF (NMISS LE 5) .
FREQ NMISS .


MVA
  v2 v3 v4 v5 v6 v7 v8 v9  v10 v11 v12 v13 v14
  /MAXCAT = 25
  /ID = id
  /CATEGORICAL = v10 v11 v12 v13 v14
  /TTEST PROB PERCENT=5
  /MISMATCH NOSORT PERCENT=5
  /MPATTERN NOSORT DESCRIBE=v2 v3 v4 v5 v6 v7 v8 v9
  /TPATTERN NOSORT PERCENT=1 DESCRIBE=v2 v3 v4 v5 v6 v7 v8 v9
  /LISTWISE
  /PAIRWISE
  /EM ( TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=100 )
  /REGRESSION ( TOLERANCE=0.001 FLIMIT=4.0 NPREDICTORS= 4 ADDTYPE=RESIDUAL )  .
